export declare function detectPackageManager(dir?: string): "yarn" | "pnpm" | "npm";
/**
 * Returns commands for the package manager used in the workspace.
 * By default, the package manager is derived based on the lock file,
 * but it can also be passed in explicitly.
 *
 * Example:
 *
 * ```javascript
 * execSync(`${getPackageManagerCommand().addDev} my-dev-package`);
 * ```
 *
 */
export declare function getPackageManagerCommand(packageManager?: string): {
    install: string;
    add: string;
    addDev: string;
    rm: string;
    exec: string;
    list: string;
    run: (script: string, args: string) => string;
};
export declare function getPackageManagerVersion(packageManager: 'npm' | 'yarn' | 'pnpm'): string;
